# Candlesticks

Candlestick depiction of price involves three components:
open, high, low and close.
The body of the candlestick consists of the open and close,
and the color of the candle body depicts which one is on top and which is
on the bottom. Green is typically reserved for a higher close than the open,
because traders were able to realize profits for the day.
Red depicts a higher open and a lower close.

The candlestick also includes wicks to the top and the bottom.
These wicks are bounded by the high for the top wick and low for
the bottom wick.

Candlestick patterns identify certain formations for these candlesticks.
Sometimes these patterns only concern a single trading day's activity and
other times it spans several trading periods.

```@setup base
using MarketData
using MarketTechnicals
```

## Doji

The doji pattern is identified with a very small candle body,
where the open and closing price are nearly identical.
It suggests some ambivalence in the market
about what the fair value of the underlying asset is.

```@repl base
findwhen(doji(ohlc))
```
